#ifndef QRK_CLIENTS_PACKET_UTILS_H
#define QRK_CLIETNS_PACKET_UTILS_H

/*!
  \file
  \brief クライアント ID 配信の補助

  \author Satofumi KAMIMURA

  $Id: ClientsPacketUtils.h 837 2009-05-09 12:26:24Z satofumi $
*/

#include "Packet.h"


namespace qrk
{
  typedef enum {
    Add = 0x00,
    Remove = 0x01,
  } ClientsAction;


  Packet clientsAddPacket(ClientId id);
  Packet clientsRemovePacket(ClientId id);

  ClientsAction clientsPacketType(const Packet& packet);
}

#endif /* !QRK_CLIENTS_PACKET_UTILS_H */
